## libclamunrar 0.103.11

=== libclamunrar/CMakeLists.txt ===

cmake_minimum_required( VERSION 3.13 )

add_compile_definitions(RARDLL)
add_compile_definitions(WARN_DLOPEN_FAIL)
add_compile_definitions(_FILE_OFFSET_BITS=64)

if(WIN32)
	add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
endif()

# unrar object
add_library( unrar_obj OBJECT )
target_sources( unrar_obj
    PRIVATE
	    "archive.cpp"
	    "arcread.cpp"
	    "blake2s.cpp"
	    "cmddata.cpp"
	    "consio.cpp"
	    "crc.cpp"
	    "crypt.cpp"
	    "dll.cpp"
	    "encname.cpp"
	    "errhnd.cpp"
	    "extinfo.cpp"
	    "extract.cpp"
	    "filcreat.cpp"
	    "file.cpp"
	    "filefn.cpp"
	    "filestr.cpp"
	    "find.cpp"
	    "getbits.cpp"
	    "global.cpp"
	    "hash.cpp"
	    "headers.cpp"
	    "list.cpp"
	    "match.cpp"
	    "options.cpp"
	    "pathfn.cpp"
	    "qopen.cpp"
	    "rar.cpp"
	    "rarvm.cpp"
	    "rawread.cpp"
	    "rdwrfn.cpp"
	    "recvol.cpp"
	    "resource.cpp"
	    "rijndael.cpp"
	    "rs.cpp"
	    "rs16.cpp"
	    "scantree.cpp"
	    "secpassword.cpp"
	    "sha1.cpp"
	    "sha256.cpp"
	    "smallfn.cpp"
	    "strfn.cpp"
	    "strlist.cpp"
	    "system.cpp"
	    "threadpool.cpp"
	    "timefn.cpp"
	    "ui.cpp"
	    "unicode.cpp"
	    "unpack.cpp"
	    "volume.cpp" )
target_include_directories( unrar_obj
    PRIVATE "${CMAKE_BINARY_DIR}"
	PUBLIC  "${CMAKE_CURRENT_SOURCE_DIR}" )

set_target_properties( unrar_obj PROPERTIES
	CXX_STANDARD 11 )

if(NOT WIN32)
	set_target_properties( unrar_obj PROPERTIES
		COMPILE_FLAGS "-Wno-logical-op-parentheses -Wno-switch -Wno-dangling-else")
endif()

# The unrar shared library.
add_library( clamunrar SHARED )
set_target_properties(clamunrar PROPERTIES
    VERSION "5.7.5"
    SOVERSION 5)
target_sources( clamunrar
    PUBLIC
        "rar.hpp"
        "dll.hpp" )
if(WIN32)
    set_target_properties(clamunrar PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# Public (forwarded) dependencies.
target_link_libraries( clamunrar
    PUBLIC
        unrar_obj )

if(WIN32)
    install(TARGETS clamunrar DESTINATION ${CMAKE_INSTALL_PREFIX})
else()
    install(TARGETS clamunrar DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

add_library( ClamAV::libclamunrar ALIAS clamunrar )

=== libclamunrar_iface/CMakeLists.txt ===

cmake_minimum_required( VERSION 3.13 )

if(WIN32)
    add_definitions(-DWIN32_LEAN_AND_MEAN)
    add_definitions(-DHAVE_STRUCT_TIMESPEC)

    # Windows compatibility headers
    include_directories(${CMAKE_SOURCE_DIR}/win32/compat)
endif()

# Move public headers to a dedicated INTERFACE library
#
# An interface is required because libclamav objects will depend on the
# interface to put unrar_iface.h in the include path, but we don't want to link
# with it.
# libclamunrar_iface will be dynamically loaded at run time, if enabled.
add_library(clamunrar_iface_iface INTERFACE)
target_sources(clamunrar_iface_iface
    INTERFACE
        unrar_iface.h )
target_include_directories( clamunrar_iface_iface
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> )

add_library( ClamAV::libclamunrar_iface_iface ALIAS clamunrar_iface_iface )

if(ENABLE_UNRAR)
    # The clamunrar_iface SHARED library.
    add_library( clamunrar_iface SHARED )
    set_target_properties( clamunrar_iface PROPERTIES
        VERSION ${LIBCLAMAV_VERSION}
        SOVERSION ${LIBCLAMAV_SOVERSION}
        CXX_STANDARD 11
    )
    target_sources( clamunrar_iface
        PRIVATE
            unrar_iface.cpp )

    target_include_directories( clamunrar_iface
        PRIVATE
            "${CMAKE_BINARY_DIR}" # For clamav-config.h
            $<TARGET_PROPERTY:ClamAV::libclamunrar,INTERFACE_INCLUDE_DIRECTORIES>
            $<TARGET_PROPERTY:ClamAV::libclamav,INTERFACE_INCLUDE_DIRECTORIES> )

    set_target_properties( clamunrar_iface PROPERTIES
        COMPILE_FLAGS "${WARNCXXFLAGS} ${CXX1XCXXFLAGS}" )

    if(WIN32)
        set_target_properties(clamunrar_iface PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
    endif()

    # Private (internal-only) dependencies.
    target_link_libraries( clamunrar_iface
        PRIVATE
            ClamAV::libclamunrar
        PUBLIC
            ClamAV::libclamunrar_iface_iface)

    if(WIN32)
        install(TARGETS clamunrar_iface DESTINATION ${CMAKE_INSTALL_PREFIX})
    else()
        install(TARGETS clamunrar_iface DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()

    add_library( ClamAV::libclamunrar_iface ALIAS clamunrar_iface )
endif()

## libclamunrar 0.96.4

=== debian/changelog ===
libclamunrar (0.96.4-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.
    - Quiet the autofoo warnings.
  * Use format 3.0 (quilt).

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 28 Jan 2014 13:56:44 -0500

libclamunrar (0.96.4-1) unstable; urgency=low

  * New upstream version
  * Bumped standards version to 3.9.1 (no changes).

 -- Michael Tautschnig <mt@debian.org>  Tue, 26 Oct 2010 00:16:24 +0200

libclamunrar (0.96-2) unstable; urgency=low

  * Make configure executable (caused by buggy packaging)

 -- Michael Tautschnig <mt@debian.org>  Fri, 16 Apr 2010 21:12:18 +0200

libclamunrar (0.96-1) unstable; urgency=low

  * New upstream version
  * Bumped standards version to 3.8.4 (no changes).

 -- Michael Tautschnig <mt@debian.org>  Tue, 13 Apr 2010 18:26:13 +0200

libclamunrar (0.95.3-1) unstable; urgency=low

  * Added XS-Autobuild flag and requested stanza to debian/copyright to allow
    auto-building in non-free network (closes: #548667).
  * Build-dep on zlib1g-dev (closes: #551805), also build-deb libbz2-dev.
  * Bumped standards version to 3.8.3 (no changes).

 -- Michael Tautschnig <mt@debian.org>  Sun, 01 Nov 2009 13:20:05 +0100

libclamunrar (0.95.2-1) unstable; urgency=low

  * New upstream version

 -- Stephen Gran <sgran@debian.org>  Mon, 15 Jun 2009 23:25:52 +0100

libclamunrar (0.95.1-1) unstable; urgency=low

  * Initial release

 -- Michael Tautschnig <mt@debian.org>  Sun, 12 Apr 2009 18:01:51 +0200

=== debian/control ===
Source: libclamunrar
Priority: extra
Section: non-free/libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>
Build-Depends: debhelper (>= 7), dh-autoreconf, zlib1g-dev, libbz2-dev
Standards-Version: 3.9.1
Homepage: http://www.clamav.net/
XS-Autobuild: yes

Package: libclamunrar6
Architecture: any
Depends: libclamav6, ${shlibs:Depends}, ${misc:Depends}
Description: anti-virus utility for Unix - unrar support
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav6, which can be used by other software.
 .
 This package provides support for RAR packaged files or mail attachments.
 Support will be available once this package is installed and clamd or a local
 clamscan is restarted.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif




# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls libclamunrar/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls libclamunrar/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	dh_autoreconf
	# Add here commands to configure the package.
	chmod a+x configure
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-clamav


build: build-stamp
build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs -XChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libclamunrar 0.98.1

=== debian/changelog ===
libclamunrar (0.98.1-1) unstable; urgency=low

  * New upstream version
  * redo rules files to something smaller like we do have in the clamav
    package.
  * Do autoreconf before configure (closes: #727917).
  * Enable hardened build flags (closes: #741080).
  * Remove all .la files (clamd works without them).
  * Add VCS-* tags.
  * Add myself as uploader.
  * Remove *.so files (lintian warning).
  * Add a symbol file.
  * Bumb standards version to 3.9.1 after made the required changes.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 May 2014 20:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libclamunrar
 Priority: extra
 Section: non-free/libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>
-Build-Depends: debhelper (>= 7), dh-autoreconf, zlib1g-dev, libbz2-dev
-Standards-Version: 3.9.1
+Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
+Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake1.11
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/pkg-clamav/libclamunrar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/libclamunrar.git;a=summary
 Homepage: http://www.clamav.net/
 XS-Autobuild: yes

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# Use automake 1.11 due to bug in automake-1.14.
# see: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16375
# TODO: Remove this, when the bug is fixed.
export AUTOMAKE = automake-1.11
export ACLOCAL = aclocal-1.11

# The autotools in squeeze (Debian 6) are too old, so don't use autoreconf.
ifeq ($(shell cut -c1 /etc/debian_version),6)
AUTORECONF =
else
AUTORECONF = --with autoreconf
endif

%:
	dh $@ --parallel $(AUTORECONF)

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" dpkg-buildflags --export=configure) \
		--disable-clamav

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar6/usr/lib/*.la
	rm debian/libclamunrar6/usr/lib/*.so

## libclamunrar 0.98.5

=== debian/changelog ===
libclamunrar (0.98.5-1) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Update to new upstream version.
    - Finaly address "double-free error exists within the
      unrar_extract_next_prepare()" (Closes: #770647)
  * Drop automake workaround, the bug was fixed.
  * Fix LFS support using the same approach as clamav for compatibility and
    correctness

  [ Scott Kitterman ]
  * Add build-dep on libssl-dev, needed for configure even if not used
    in libclamunrar
  * Update debian/copyright to add openssl exception per COPYING

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 22 Nov 2014 22:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: non-free/libs
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake1.11
+Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake, libssl-dev
 Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-clamav/libclamunrar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-clamav/libclamunrar.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The autotools in squeeze (Debian 6) are too old, so don't use autoreconf.
ifeq ($(shell cut -c1 /etc/debian_version),6)
AUTORECONF =
else
AUTORECONF = --with autoreconf
endif

%:
	dh $@ --parallel $(AUTORECONF)

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure) \
		--disable-clamav

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar6/usr/lib/*.la
	rm debian/libclamunrar6/usr/lib/*.so

## libclamunrar 0.99

=== debian/changelog ===
libclamunrar (0.99-4ubuntu1) artful; urgency=medium

  * debian/patches/bb111711.patch: fix FTBFS caused by zlib version
    check, cherrypicked from upstream.

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 23 Aug 2017 11:25:49 -0700

libclamunrar (0.99-4) unstable; urgency=medium

  * Cherry pick fix for arbitrary memory write. CVE-2012-6706
    (Closes: #867223).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 05 Jul 2017 00:12:51 +0200

libclamunrar (0.99-3) unstable; urgency=medium

  * Add a fixup for bb11601.
  * Update VCS links.
  * Bumped standards version to 3.9.8 (no changes required).
  * Update compat level to 10.
  * Drop autoreconv - it is default now

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 17 Dec 2016 22:00:03 +0100

libclamunrar (0.99-2) unstable; urgency=medium

  * Add patches from upstream bugzilla bb11600 and bb11601 to fix out of band
    access
  * drop openssl check (Closes: #828383).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 03 Nov 2016 21:39:40 +0100

libclamunrar (0.99-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Correct debian/copyright to add missing copyright declarations/dates

  [ Sebastian Andrzej Siewior ]
  * Bumped standards version to 3.9.6 (no changes required).
  * Import new upstream. This is required because clamav's major .so version
    changed.
  * switch from libclamunrar6 to libclamunrar7
  * copy clamav's watch file
  * add pkg-config to dependencies so autoreconf does not break
  * don't link against libpcre if available.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 04 Dec 2015 21:29:11 +0100

=== debian/control ===
Source: libclamunrar
Priority: extra
Section: non-free/libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake, libssl-dev, pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/libclamunrar.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/libclamunrar.git/
Homepage: http://www.clamav.net/
XS-Autobuild: yes

Package: libclamunrar7
Architecture: any
Depends: libclamav7, ${shlibs:Depends}, ${misc:Depends}
Description: anti-virus utility for Unix - unrar support
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav7, which can be used by other software.
 .
 This package provides support for RAR packaged files or mail attachments.
 Support will be available once this package is installed and clamd or a local
 clamscan is restarted.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure) \
		--disable-clamav --without-pcre

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar7/usr/lib/*/*.la
	rm debian/libclamunrar7/usr/lib/*/*.so

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,dversionmangle=s/\+dfsg//,pgpsigurlmangle=s/$/.sig/" \
http://www.clamav.net/download.html /downloads/.*/clamav-(.*).tar.gz

## libclamunrar 0.99-0ubuntu0.12.04.1

=== debian/changelog ===
libclamunrar (0.99-0ubuntu0.12.04.1) precise-security; urgency=medium

  * Updated to new version to fix compatibility with clamav security
    update.
    - switched name from libclamunrar6 to libclamunrar7.
    - added pkg-config and libssl-dev to Build-Depends.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Sep 2016 14:05:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Section: non-free/libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake, libssl-dev, pkg-config
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/libclamunrar.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/libclamunrar.git/
+Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, libbz2-dev, libssl-dev, pkg-config
+Standards-Version: 3.9.1
 Homepage: http://www.clamav.net/
 XS-Autobuild: yes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif




# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
version=`ls libclamunrar/.libs/lib*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
major=`ls libclamunrar/.libs/lib*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	chmod a+x configure
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-clamav


build: build-stamp
build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs -XChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libclamunrar 0.100.1

=== debian/changelog ===
libclamunrar (0.100.1-1~ubuntu0.14.04.1) trusty-security; urgency=medium

  * Updated to new version to fix compatibility with clamav security
    update.
    - debian/{control,compat}: revert to debhelper 9.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Jul 2018 07:24:06 -0400

libclamunrar (0.100.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Delete symlinks to files no longer shipped in libclamav7 (Closes: #903792)

  [ Sebastian Andrzej Siewior ]
  * Update to upstream version.
    - Buffer over-read in unRAR code due to missing max value checks in table
      initialization. Reported by Rui Reis.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 21 Jul 2018 17:58:50 +0200

libclamunrar (0.100.0-1) unstable; urgency=medium

  * Update to new upstream version (Closes: #873027).
  * Update compat level to 11.
  * Drop autoreconf related build-depends.
  * Point Vcs* to salsa.
  * Bumped standards version to 4.1.4.
    - Use priority optional.
  * Use https in the watchfile.
  * Use `hardening=+all'.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 21 Jun 2018 21:28:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libclamunrar
-Priority: extra
+Priority: optional
 Section: non-free/libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, libbz2-dev, libssl-dev, pkg-config
-Standards-Version: 3.9.1
-Homepage: http://www.clamav.net/
+Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
+Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, libssl-dev, pkg-config
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/clamav-team/libclamunrar.git -b unstable
+Vcs-Browser: https://salsa.debian.org/clamav-team/libclamunrar
+Homepage: https://www.clamav.net/
 XS-Autobuild: yes
 
 Package: libclamunrar7

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure) \
		--disable-clamav --without-pcre

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar7/usr/lib/*/*.la
	rm debian/libclamunrar7/usr/lib/*/*.so

## libclamunrar 0.101.1

=== debian/changelog ===
libclamunrar (0.101.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 28 Feb 2019 23:57:23 +0100

libclamunrar (0.101.1-1) experimental; urgency=medium

  * Update to new upstream version.
    - ABI changes from 7 to 9, some symbols changed.
  * Bumped standards version to 4.3.0 without any changes.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 10 Feb 2019 21:09:12 +0100

## libclamunrar 0.101.2

=== debian/changelog ===
libclamunrar (0.101.2-0+deb9u1) stretch; urgency=high

  * Import 0.101.2
    - CVE-2019-1785 (A path-traversal write condition may occur as a result of
      improper input validation when scanning RAR archives)
    - CVE-2019-1798 (A use-after-free condition may occur as a result of
      improper error handling when scanning nested RAR archives)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 06 Apr 2019 20:25:19 +0200

libclamunrar (0.101.1-0+deb9u1) stretch; urgency=medium

  [ Scott Kitterman ]
  * Delete symlinks to files no longer shipped in libclamav7 (Closes: #903792)

  [ Sebastian Andrzej Siewior ]
  * Update to new upstream version.
    - ABI changes from 7 to 9, some symbols changed.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 10 Mar 2019 17:09:59 +0100

libclamunrar (0.100.1-0+deb9u1) stretch; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * New upstream version
    - Buffer over-read in unRAR code due to missing max value checks in table
      initialization. Reported by Rui Reis.
    - drop all patches (were picked from upstream, the openssl patch is
      obsolete).

  [ Scott Kitterman ]
  * Delete symlinks to files no longer shipped in libclamav7 (Closes: #903792)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 21 Jul 2018 18:25:22 +0200

libclamunrar (0.99-3+deb9u1) stretch; urgency=medium

  * Team upload.

  [ Sebastian Andrzej Siewior ]
  * Cherry pick fix for arbitrary memory write. CVE-2012-6706
    (Closes: #867223).

 -- Scott Kitterman <scott@kitterman.com>  Sat, 15 Jul 2017 13:30:29 -0400

=== debian/control ===
Source: libclamunrar
Priority: extra
Section: non-free/libs
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake, libssl-dev, pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/libclamunrar.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/libclamunrar.git/
Homepage: http://www.clamav.net/
XS-Autobuild: yes

Package: libclamunrar9
Architecture: any
Depends: libclamav9, ${shlibs:Depends}, ${misc:Depends}
Description: anti-virus utility for Unix - unrar support
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav9, which can be used by other software.
 .
 This package provides support for RAR packaged files or mail attachments.
 Support will be available once this package is installed and clamd or a local
 clamscan is restarted.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure) \
		--disable-clamav --without-pcre

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar9/usr/lib/*/*.la
	rm debian/libclamunrar9/usr/lib/*/*.so

## libclamunrar 0.102.3

=== debian/changelog ===
libclamunrar (0.102.3-0+deb9u1) stretch; urgency=medium

  * Import 0.102.3
    - Updated libclamunrar to UnRAR 5.9.2.
  * Provide a libclamunrar meta package which depends on the latest binary
    package. Suggested by Matus UHLAR - fantomas (Closes: #939824).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 23 May 2020 21:49:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,27 @@
 Section: non-free/libs
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Build-Depends: debhelper (>= 8), autotools-dev, zlib1g-dev, libbz2-dev, dh-autoreconf, automake, libssl-dev, pkg-config
+Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf, automake
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/libclamunrar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/libclamunrar.git/
 Homepage: http://www.clamav.net/
 XS-Autobuild: yes
+
+Package: libclamunrar
+Architecture: all
+Depends: libclamunrar9, ${shlibs:Depends}, ${misc:Depends}
+Description: anti-virus utility for Unix - unrar support
+ Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
+ this software is the integration with mail servers (attachment
+ scanning). The package provides a flexible and scalable
+ multi-threaded daemon in the clamav-daemon package, a command-line
+ scanner in the clamav package, and a tool for automatic updating via
+ the Internet in the clamav-freshclam package. The programs are based
+ on libclamav9, which can be used by other software.
+ .
+ This metapackage depends on the current libclamunrarX binary library to
+ ensure a new libclamunrarY will be installed after a soname update.
 
 Package: libclamunrar9
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure)

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

## libclamunrar 0.103.10

=== debian/changelog ===
libclamunrar (0.103.10-1~deb11u1) bullseye; urgency=medium

  * Import 0.103.10.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 08 Sep 2023 21:47:53 +0200

libclamunrar (0.102.3-3) unstable; urgency=medium

  * Ignore all not installed *.la and *.so files.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 20 May 2020 23:24:14 +0200

libclamunrar (0.102.3-2) unstable; urgency=medium

  * Bumped standards version to 4.5.0 without any changes.
  * Use dh-compat level 13.
  * Allow non root user builds.
  * Let libclamunrar depend on libclamunrar9.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 20 May 2020 00:40:19 +0200

libclamunrar (0.102.3-1) unstable; urgency=medium

  * Import 0.102.3
    - Updated libclamunrar to UnRAR 5.9.2.
  * Provide a libclamunrar meta package which depends on the latest binary
    package. Suggested by Matus UHLAR - fantomas (Closes: #939824).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 16 May 2020 17:12:22 +0200

libclamunrar (0.101.2-1) unstable; urgency=high

  * Import 0.101.2
    - CVE-2019-1785 (A path-traversal write condition may occur as a result of
      improper input validation when scanning RAR archives)
    - CVE-2019-1798 (A use-after-free condition may occur as a result of
      improper error handling when scanning nested RAR archives)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 30 Mar 2019 16:37:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libclamunrar
-Priority: extra
+Priority: optional
 Section: non-free/libs
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
 Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf, automake
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-clamav/libclamunrar.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-clamav/libclamunrar.git/
-Homepage: http://www.clamav.net/
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/clamav-team/libclamunrar.git -b unstable
+Vcs-Browser: https://salsa.debian.org/clamav-team/libclamunrar
+Homepage: https://www.clamav.net/
 XS-Autobuild: yes
 
 Package: libclamunrar

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \

## libclamunrar 0.103.11

=== debian/changelog ===
libclamunrar (0.103.11-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.11 to fix security issues. (LP: #2046581)
    - debian/patches/0001-Remove-libmspack.m4.patch: remove unneeded
      libmspack.m4 from build. (patch thanks to Sebastian Andrzej Siewior)
    - CVE-2022-30333
    - CVE-2023-40477

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Jan 2024 09:47:08 -0500

libclamunrar (0.101.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:39 +0100

=== debian/control ===
Source: libclamunrar
Priority: optional
Section: non-free/libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Tautschnig <mt@debian.org>, Stephen Gran <sgran@debian.org>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Build-Depends: debhelper (>= 11), zlib1g-dev, libbz2-dev, libssl-dev, pkg-config
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/clamav-team/libclamunrar.git -b unstable
Vcs-Browser: https://salsa.debian.org/clamav-team/libclamunrar
Homepage: https://www.clamav.net/
XS-Autobuild: yes

Package: libclamunrar9
Architecture: any
Depends: libclamav9, ${shlibs:Depends}, ${misc:Depends}
Description: anti-virus utility for Unix - unrar support
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav9, which can be used by other software.
 .
 This package provides support for RAR packaged files or mail attachments.
 Support will be available once this package is installed and clamd or a local
 clamscan is restarted.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs" \
		DEB_CFLAGS_MAINT_APPEND="-D_FILE_OFFSET_BITS=64" dpkg-buildflags --export=configure) \
		--disable-clamav --without-pcre

override_dh_auto_build-arch:
	dh_auto_build -a -- V=1

override_dh_auto_install:
	dh_auto_install
	rm debian/libclamunrar9/usr/lib/*/*.la
	rm debian/libclamunrar9/usr/lib/*/*.so
